﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;
using ThinkGeo.UI.Wpf;

namespace WpfDotNetFramwork
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            // Use BingMap Overlay
            mapView.MapUnit = GeographyUnit.Meter;
            mapView.CurrentExtent = MaxExtents.BingMaps;
            BingMapsOverlay bingMapsOverlay = new BingMapsOverlay("Your client id");
            bingMapsOverlay.TileCache = null;
            bingMapsOverlay.MapType = BingMapsMapType.Road;
            mapView.Overlays.Add(bingMapsOverlay);
            mapView.Refresh();

            // Use BingMap Layer.
            //mapView.MapUnit = GeographyUnit.Meter;
            //mapView.CurrentExtent = MaxExtents.BingMaps;
            //BingMapsLayer bingMapsLayer = new BingMapsLayer("Your client id");
            //LayerOverlay layerOverlay = new LayerOverlay() { TileHeight = 256, TileWidth = 256 };
            //layerOverlay.Layers.Add(bingMapsLayer);
            //layerOverlay.TileSizeMode = TileSizeMode.Small;
            //layerOverlay.MaxExtent = MaxExtents.OsmMaps;
            //mapView.Overlays.Add("World", layerOverlay);
            //mapView.Refresh();
        }
    }
}
